Page MenuHomePhabricator

Deploy new header to all wikis
Closed, ResolvedPublic2 Story Points

Description

Background

After the test on Catalan and Italian wikipedias, we have noted that internal page views (including internal search) have not been affected. Thus, we are ready to go ahead with the new branding deploy

Acceptance criteria

  • Ensure OK from new readers team (olga)
  • Ensure OK from discovery team (olga)
  • Publish announcement for deployment (chris)
  • Deploy new header on March 27 (actually deployed on 28)
  • Cleanup any artifacts relating to the feature flag and remove the feature flag - as reverting after this point would be a very visible change that should be avoided. rEMFRe12fdd73f714: Hygiene: Remove header-v2 and header-v1 code (correctly)

Testing Notes

Ensure that the header on the Beta Cluster mobile site and, say, https://en.m.wikipedia.org behave the same way across mobile, tablet, and desktop, focussing on layout and visible icons.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2017, 9:36 PM
ovasileva triaged this task as High priority.Mar 14 2017, 9:36 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva updated the task description. (Show Details)
ovasileva added a subscriber: Ckoerner.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMar 15 2017, 12:27 AM
Jdlrobson added a subscriber: Jdlrobson.

Needs estimation. Team hasn't said it's ready for "ToDo" yet.

Jdlrobson updated the task description. (Show Details)Mar 15 2017, 5:47 PM
Jdlrobson set the point value for this task to 2.
CKoerner_WMF edited subscribers, added: CKoerner_WMF; removed: Ckoerner.Mar 15 2017, 7:30 PM

Change 342973 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend] HeaderV2 is the default and not configurable

https://gerrit.wikimedia.org/r/342973

Change 342974 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend] Hygiene: Remove header-v2 and header-v1 code

https://gerrit.wikimedia.org/r/342974

Jdlrobson changed the task status from Open to Stalled.Mar 17 2017, 4:58 PM
Jdlrobson changed the task status from Stalled to Open.Mar 28 2017, 4:58 PM
Jdlrobson moved this task from Blocked Externally to To Do on the Reading-Web-Sprint-94 board.
Jdlrobson updated the task description. (Show Details)

Change 345184 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config@master] Enable header version 2 on all wikis

https://gerrit.wikimedia.org/r/345184

Change 345184 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable header version 2 on all wikis

https://gerrit.wikimedia.org/r/345184

Mentioned in SAL (#wikimedia-operations) [2017-03-28T23:16:31Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:345184|Enable header version 2 on all wikis]] T160471 (duration: 00m 45s)

https://gerrit.wikimedia.org/r/#/c/342973/ can now safely be merged.
https://gerrit.wikimedia.org/r/#/c/342973/2 should only be merged when the cache is clear. We can probably merge that now, but if we want to be more cautious, we may want to leave that till next week.

Jdlrobson updated the task description. (Show Details)Mar 29 2017, 3:53 PM
Jdlrobson updated the task description. (Show Details)

Change 342973 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] HeaderV2 is the default and not configurable

https://gerrit.wikimedia.org/r/342973

Change 342974 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: Remove header-v2 and header-v1 code

https://gerrit.wikimedia.org/r/342974

phuedx added a subscriber: phuedx.Mar 29 2017, 10:23 PM

https://gerrit.wikimedia.org/r/#/c/342973/ can now safely be merged.
https://gerrit.wikimedia.org/r/#/c/342973/2 should only be merged when the cache is clear. We can probably merge that now, but if we want to be more cautious, we may want to leave that till next week.

As we discussed earlier, if I'm reading rOPUP57780729352d: varnish: swap around backend ttl cap and keep values [1/2] correctly, then the maximum lifetime of an object in The Cache (cache_text) is 3 days.

phuedx assigned this task to ovasileva.Mar 29 2017, 10:23 PM
phuedx moved this task from Needs Code Review to Ready for Signoff on the Reading-Web-Sprint-94 board.

Change 345487 had a related patch set uploaded (by Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Hygiene: Remove header-v2 and header-v1 code (correctly)

https://gerrit.wikimedia.org/r/345487

I've reverted the original patch as I found an issue with it (the search box was showing in mobile one).
New one above.

Jdlrobson reassigned this task from ovasileva to phuedx.Mar 31 2017, 12:44 AM

Can you take another pass at CR?

phuedx reassigned this task from phuedx to Jdlrobson.Apr 3 2017, 10:27 AM
phuedx moved this task from Needs Code Review to Needs More Work on the Reading-Web-Sprint-94 board.
phuedx added a subscriber: Krinkle.

There's a question from @Krinkle against rEMFRe7f41b3959c0: Hygiene: Remove header-v2 and header-v1 code (correctly). I posed it the other way around and C-1'd the change.

Thanks @Krinkle and @phuedx. I moved this into one css rule to make this clearer. Hope it's good to go now.

@Jdlrobson - I just noticed this in the analyze results task: "Create task for full deployment. As part of this task, please capture in acceptance criteria the removal of the HeaderV2 config flag and the feature-header classes" - did we ever make a separate task/finish it as a part of the this task?

This is that task and all that is captured in acceptance criteria. https://gerrit.wikimedia.org/r/345487 is the last piece.

ovasileva updated the task description. (Show Details)Apr 5 2017, 2:51 PM

Change 345487 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: Remove header-v2 and header-v1 code (correctly)

https://gerrit.wikimedia.org/r/345487

phuedx reassigned this task from Jdlrobson to ovasileva.Apr 6 2017, 1:37 PM
phuedx updated the task description. (Show Details)
phuedx moved this task from Needs Code Review to Ready for Signoff on the Reading-Web-Sprint-95 board.
phuedx reassigned this task from ovasileva to ABorbaWMF.Apr 6 2017, 1:47 PM

Actually, while this is mostly a process task, there were minor changes to the codebase (rEMFRe12fdd73f714: Hygiene: Remove header-v2 and header-v1 code (correctly)), this should be passed to @ABorbaWMF with instructions to check that the Beta Cluster and one/many of the Wikipedias headers behave the same way across devices.

phuedx updated the task description. (Show Details)Apr 6 2017, 1:50 PM

Did some testing. Here are some screenshots. There is a small issue with the mobile version on IE browsers.

SystemScreenshot
Nexus 9 Android 6.0 - Chrome 55
Nexus 6P Android 6.0 - Firefox 48
Galaxy Tab S Android 4.4 - Chrome 43
iPad Air 2 iOS 9.0 - Safari 9.0
iPhone 5S iOS 7.0 - Safari 7.0
iPhone 6S iOS 9.0 - Chrome 47
Windows 7(64) - IE9
Windows 8 - IE10
Windows 8.1 - IE11
Windows 10 - Edge
Mac OSX 10.8 - Chrome 48(64)
Mac OSX 10.12 - Firefox

Thanks @ABorbaWMF. Does T162647 capture the bug? If so I suggest we resolve this and prioritise and fix the newly introduced bug separately. I've moved it into current sprint so we can estimate/plan it during kick off.

@Jdlrobson Yes that's the bug. Thanks

Krinkle removed a subscriber: Krinkle.Apr 11 2017, 12:43 AM
ovasileva closed this task as Resolved.Apr 11 2017, 8:17 AM